-- notification_preferences definition

CREATE TABLE IF NOT EXISTS notification_preferences (
	id TEXT NOT NULL PRIMARY KEY,
	lock_details BOOLEAN DEFAULT 0 NOT NULL CHECK (lock_details IN (0, 1)),
	do_not_disturb BOOLEAN DEFAULT 0 NOT NULL CHECK (do_not_disturb IN (0, 1)),
	CONSTRAINT notification_preferences_FK FOREIGN KEY (id) REFERENCES users(id) ON DELETE CASCADE ON UPDATE CASCADE
);
