-- external_servers_privacy_preferences definition

CREATE TABLE IF NOT EXISTS external_servers_privacy_preferences (
	id TEXT NOT NULL PRIMARY KEY,
	discovery BLOB NOT NULL,
	discovery_user_limit TEXT NOT NULL,
	discovery_server_limit TEXT NOT NULL,
	last_seen BLOB NOT NULL,
	last_seen_user_limit TEXT NOT NULL,
	last_seen_server_limit TEXT NOT NULL,
	last_seen_course INTEGER DEFAULT 0 NOT NULL,
	info BLOB NOT NULL,
	info_user_limit TEXT NOT NULL,
	info_server_limit TEXT NOT NULL,
	CONSTRAINT external_servers_privacy_preferences_FK FOREIGN KEY (id) REFERENCES users(id) ON DELETE CASCADE ON UPDATE CASCADE
);
